package com.ss.android.ugc.aweme.property;

import X.8nq;
import X.N3L;
import com.bytedance.covode.number.Covode;

public final class AVPreferences_CukaieClosetFactory implements 8nq {
    static {
        Covode.recordClassIndex(100836);
    }

    public final String closetName() {
        return "av_settings.xml";
    }

    public final Object createCloset(N3L n3l) {
        return new AVPreferences_CukaieClosetAdapter(n3l);
    }
}
